## net.i2p.router
Class JobStats

    java.lang.Object
      net.i2p.router.JobStats

class JobStats
extends java.lang.Object

glorified struct to contain basic job stats

Constructor Summary
`JobStats(java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`long` `getAvgPendingTime()`
`long` `getAvgTime()`
`long` `getMaxPendingTime()`
`long` `getMaxTime()`
`long` `getMinPendingTime()`
`long` `getMinTime()`
`java.lang.String` `getName()`
`long` `getRuns()`
`long` `getTotalPendingTime()`
`long` `getTotalTime()`
`int` `hashCode()`
`void` `jobRan(long runTime, long lag)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobStats

    public JobStats(java.lang.String name)

Method Detail

### jobRan

    public void jobRan(long runTime,
                       long lag)

### getName

    public java.lang.String getName()

### getRuns

    public long getRuns()

### getTotalTime

    public long getTotalTime()

### getMaxTime

    public long getMaxTime()

### getMinTime

    public long getMinTime()

### getAvgTime

    public long getAvgTime()

### getTotalPendingTime

    public long getTotalPendingTime()

### getMaxPendingTime

    public long getMaxPendingTime()

### getMinPendingTime

    public long getMinPendingTime()

### getAvgPendingTime

    public long getAvgPendingTime()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

### toString

    public java.lang.String toString()